set echo on 
set timing on
set long 1000000 pages 0
--
select count(*) 
  from PURCHASEORDER
/
insert into PURCHASEORDER
 values
 (
    xdburitype('%BASEFOLDER%/sampleXML/purchaseOrder.E999.xml').getXML()
 )
/
pause
--
begin
  dbms_xmlschema.inPlaceEvolve
  (
    '%SCHEMAURL%',
    xdburitype('/home/%USER%/diff/xmlSchemaDiff.E999.xml').getXML()   
  );
end;
/
select count(*) 
  from PURCHASEORDER
/
pause
--
ALTER TABLE PURCHASEORDER
  ADD PARTITION P04
         VALUES ('E999')
/
select TABLE_NAME, PARTITION_NAME
  from USER_TAB_PARTITIONS
/
pause
--
insert into PURCHASEORDER
 values
 (
    xdburitype('%BASEFOLDER%/sampleXML/purchaseOrder.E999.xml').getXML()
 )
/
select count(*) 
  from PURCHASEORDER
/
quit
   